package _VisualDVM.TestingSystem.Common.Settings.Json;
import _VisualDVM.TestingSystem.Common.Settings.Settings;
import com.google.gson.annotations.Expose;

import java.util.List;
import java.util.Vector;
public class SettingsArrayJson {
    @Expose
    public List<SettingsJson> array = new Vector<>();
    public SettingsArrayJson() {
    }
    //при создании пакета.
    public SettingsArrayJson(Vector<? extends Settings> settings_in) {
        array = new Vector<>();
        for (Settings settings : settings_in)
            array.add(new SettingsJson(settings));
    }
}

